Update Lead: Yardi REST
Betahttps://api.propexo.com/v1/leads/yardi_rest/:lead_id| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/ImportYardiGuest |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the lead
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The first name associated with the lead
The last name associated with the lead
The Propexo unique identifier for the unit
Primary phone number associated with the lead
Type of the primary phone number
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 4 enum values
FAXHOMEMOBILEWORKThe primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
Show 2 variants
The desired number of bedrooms
The amount of months for the lease term
Notes associated with the lead
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the lead
The first name associated with the lead
The last name associated with the lead
The Propexo unique identifier for the unit
Primary phone number associated with the lead
Type of the primary phone number
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 4 enum values
FAXHOMEMOBILEWORKThe primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
Show 2 variants
The desired number of bedrooms
The amount of months for the lease term
Notes associated with the lead
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/yardi_rest/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"first_name": "string",
"last_name": "string",
"unit_id": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_lease_term_in_months": "string",
"notes": "string"
}
}